# IGListScrollDelegate Protocol Reference

# IGListScrollDelegate

    @protocol IGListScrollDelegate <NSObject>

Implement this protocol to receive display events for a section controller when it is on screen.

- `-listAdapter:didScrollSectionController:`

  Tells the delegate that the section controller was scrolled on screen.

  #### Declaration

  Objective-C

      - (void)listAdapter:(nonnull IGListAdapter *)listAdapter
          didScrollSectionController:
              (nonnull IGListSectionController *)sectionController;

  Swift

      func listAdapter(_ listAdapter: IGListAdapter, didScroll sectionController: IGListSectionController)

  #### Parameters

  `listAdapter` | The list adapter whose collection view was scrolled.
  `sectionController` | The visible section controller that was scrolled.

- `-listAdapter:willBeginDraggingSectionController:`

  Tells the delegate that the section controller will be dragged on screen.

  #### Declaration

  Objective-C

      - (void)listAdapter:(nonnull IGListAdapter *)listAdapter
          willBeginDraggingSectionController:
              (nonnull IGListSectionController *)sectionController;

  Swift

      func listAdapter(_ listAdapter: IGListAdapter, willBeginDragging sectionController: IGListSectionController)

  #### Parameters

  `listAdapter` | The list adapter whose collection view will drag.
  `sectionController` | The visible section controller that will drag.

- `-listAdapter:didEndDraggingSectionController:willDecelerate:`

  Tells the delegate that the section controller did end dragging on screen.

  #### Declaration

  Objective-C

      - (void)listAdapter:(nonnull IGListAdapter *)listAdapter
          didEndDraggingSectionController:
              (nonnull IGListSectionController *)sectionController
                           willDecelerate:(BOOL)decelerate;

  Swift

      func listAdapter(_ listAdapter: IGListAdapter, didEndDragging sectionController: IGListSectionController, willDecelerate decelerate: Bool)

  #### Parameters

  `listAdapter` | The list adapter whose collection view ended dragging.
  `sectionController` | The visible section controller that ended dragging.
  `decelerate` | ‘Yes’ if the scrolling movement will continue, but decelerate, after a touch-up gesture during a dragging operation. If the value is ‘No’, scrolling stops immediately upon touch-up.

- `-listAdapter:didEndDeceleratingSectionController:`

  Tells the delegate that the section controller did end decelerating on screen.

  Note

  This method is `@optional` until the next breaking-change release.

  #### Declaration

  Objective-C

      - (void)listAdapter:(nonnull IGListAdapter *)listAdapter
          didEndDeceleratingSectionController:
              (nonnull IGListSectionController *)sectionController;

  Swift

      optional func listAdapter(_ listAdapter: IGListAdapter, didEndDeceleratingSectionController sectionController: IGListSectionController)

  #### Parameters

  `listAdapter` | The list adapter whose collection view ended decelerating.
  `sectionController` | The visible section controller that ended decelerating.

© 2019 Instagram. All rights reserved. (Last updated: 2019-11-20)

Generated by jazzy ♪♫ v0.12.0, a Realm project.